# Uses of Enum Class
javafx.scene.control.SelectionMode

Packages that use SelectionMode
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of SelectionMode in javafx.scene.control

Methods in javafx.scene.control that return SelectionMode
Modifier and Type
Method
Description
`final SelectionMode`
MultipleSelectionModel.`getSelectionMode()`
Gets the value of the `selectionMode` property.
`static SelectionMode`
SelectionMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SelectionMode[]`
SelectionMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type SelectionMode
Modifier and Type
Method
Description
`final ObjectProperty<SelectionMode>`
MultipleSelectionModel.`selectionModeProperty()`
Specifies the selection mode to use in this selection model.
Methods in javafx.scene.control with parameters of type SelectionMode
Modifier and Type
Method
Description
`final void`
MultipleSelectionModel.`setSelectionMode(SelectionMode value)`
Sets the value of the `selectionMode` property.